function result = get_ending(filename, new_ending)

%  result = get_ending(name, new_ending)
%
% It returns the shortest ending substring of filename that
% starts with the '.' character. Otherwise it returns the
% empty string ''.

  last_dot = -1;
  fsize = size(filename, 2);
  % Move ending_pointer either to the end of the string
  % or to first dot
for i = 1:fsize
  if filename(i) == '.'
      last_dot = i;
      break;
  end
end
if (last_dot == 0) 
    result = [];
else
    result = filename(last_dot:fsize);
end
  