function result = write_float_matrix2(fp, matrix)

% same as write_float_matrix, but here we pass in a file pointer

rows = size(matrix, 1);
cols = size(matrix, 2);
header = zeros(1, 4);
header(1) = 4;
header(2) = rows;
header(3) = cols;
header(4) = 1;

count = fwrite(fp, header, 'int32');
result = 0;

if count ~= 4
    disp('failed to write header');
    return;
end

temp = matrix';
count = fwrite(fp, temp, 'float32');

if count ~= rows * cols
    disp(sprintf('failed to write data, count = %li', count));
else
    result = 1;
end
