training_file = [data_dir, '/scrambled_training.bin'];
fid = fopen(training_file, 'r');

[number, count] = fread(fid, 1, 'int32');
if count ~= 1
    disp('failed to read number');
end

[training_permutation, count] = fread(fid, number, 'int32');
if count ~= number
    disp('failed to read training_permutation');
end


[training_labels, count] = fread(fid, number, 'uchar');
if count ~= number
    disp('failed to read training_labels');
end
    
[training_digits, count] = fread(fid, [28, 28 * number], 'uchar');
if count ~= 28 * 28 * number
    disp('failed to read training_digits');
end
    
training_digits = reshape(training_digits, [28, 28, number]);

fclose(fid);
disp('loaded training digits');

